org.eclipse.emf.cdo.spi.server

## Class RepositoryConfigurator

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.RepositoryConfigurator

-     public class RepositoryConfigurator
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfigurator()`
    `RepositoryConfigurator(IManagedContainer container)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IRepository[]` | `configure(Document document)`
    `IRepository[]` | `configure(File configFile)`
    `IRepository[]` | `configure(Reader configReader)`
    `protected IStore` | `createStore(String repositoryName, Map<String,String> repositoryProperties, Element storeConfig)`
    `protected IAuthenticator` | `getAuthenticator(Element authenticatorConfig)`
    `protected IAuthenticator` | `getAuthenticator(String type, String description)`
    `protected Element` | `getAuthenticatorConfig(Element repositoryConfig)`
    `IManagedContainer` | `getContainer()`
    `protected Document` | `getDocument(File configFile)`
    `protected Document` | `getDocument(Reader configReader)`
    `protected EPackage[]` | `getInitialPackages(Element repositoryConfig)`
    `static Map<String,String>` | `getProperties(Element element, int levels)`
    `protected IRepository` | `getRepository(Element repositoryConfig)`
    `protected IRepository` | `getRepository(String repositoryType)`
    `Map<String,IRepositoryFactory>` | `getRepositoryFactories()`
    `protected IRepositoryFactory` | `getRepositoryFactory(String type)`
    `protected Element` | `getStoreConfig(Element repositoryConfig)`
    `Map<String,IStoreFactory>` | `getStoreFactories()`
    `protected IStoreFactory` | `getStoreFactory(String type)`
    `protected IUserManager` | `getUserManager(Element userManagerConfig)`
    `protected IUserManager` | `getUserManager(String type, String description)`
    `protected Element` | `getUserManagerConfig(Element repositoryConfig)`
    `protected void` | `setAuthenticator(InternalRepository repository, Element repositoryConfig)`
    `protected void` | `setUserManager(InternalRepository repository, Element repositoryConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfigurator

          public RepositoryConfigurator()

    - #### RepositoryConfigurator

          public RepositoryConfigurator(IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public IManagedContainer getContainer()

    - #### getRepositoryFactories

          public Map<String,IRepositoryFactory> getRepositoryFactories()

    - #### getStoreFactories

          public Map<String,IStoreFactory> getStoreFactories()

    - #### configure

          public IRepository[] configure(File configFile)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         IOException,
                                         CoreException

      Throws:
        `ParserConfigurationException`
        `SAXException`
        `IOException`
        `CoreException`

    - #### configure

          public IRepository[] configure(Reader configReader)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         IOException,
                                         CoreException

      Throws:
        `ParserConfigurationException`
        `SAXException`
        `IOException`
        `CoreException`
      Since:
        4.3

    - #### configure

          protected IRepository[] configure(Document document)
                                     throws ParserConfigurationException,
                                            SAXException,
                                            IOException,
                                            CoreException

      Throws:
        `ParserConfigurationException`
        `SAXException`
        `IOException`
        `CoreException`
      Since:
        4.3

    - #### getDocument

          protected Document getDocument(File configFile)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         IOException

      Throws:
        `ParserConfigurationException`
        `SAXException`
        `IOException`

    - #### getDocument

          protected Document getDocument(Reader configReader)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         IOException

      Throws:
        `ParserConfigurationException`
        `SAXException`
        `IOException`
      Since:
        4.3

    - #### getRepositoryFactory

          protected IRepositoryFactory getRepositoryFactory(String type)
                                                     throws CoreException

      Throws:
        `CoreException`

    - #### getRepository

          protected IRepository getRepository(Element repositoryConfig)
                                       throws CoreException

      Throws:
        `CoreException`

    - #### getRepository

          protected IRepository getRepository(String repositoryType)
                                       throws CoreException

      Throws:
        `CoreException`

    - #### getUserManagerConfig

          protected Element getUserManagerConfig(Element repositoryConfig)

    - #### getUserManager

          protected IUserManager getUserManager(Element userManagerConfig)
                                         throws CoreException

      Throws:
        `CoreException`

    - #### getUserManager

          protected IUserManager getUserManager(String type,
                                                String description)
                                         throws CoreException

      Throws:
        `CoreException`

    - #### setUserManager

          protected void setUserManager(InternalRepository repository,
                                        Element repositoryConfig)
                                 throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### getAuthenticatorConfig

          protected Element getAuthenticatorConfig(Element repositoryConfig)

      Since:
        4.2

    - #### getAuthenticator

          protected IAuthenticator getAuthenticator(Element authenticatorConfig)
                                             throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### getAuthenticator

          protected IAuthenticator getAuthenticator(String type,
                                                    String description)
                                             throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### setAuthenticator

          protected void setAuthenticator(InternalRepository repository,
                                          Element repositoryConfig)
                                   throws CoreException

      Throws:
        `CoreException`
      Since:
        4.2

    - #### getInitialPackages

          protected EPackage[] getInitialPackages(Element repositoryConfig)

    - #### getStoreConfig

          protected Element getStoreConfig(Element repositoryConfig)

    - #### getStoreFactory

          protected IStoreFactory getStoreFactory(String type)
                                           throws CoreException

      Throws:
        `CoreException`

    - #### createStore

          protected IStore createStore(String repositoryName,
                                       Map<String,String> repositoryProperties,
                                       Element storeConfig)
                                throws CoreException

      Throws:
        `CoreException`

    - #### getProperties

          public static Map<String,String> getProperties(Element element,
                                                         int levels)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html